Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.font.ttf
Class LocaTable

    java.lang.Object
      com.sun.pdfview.font.ttf.TrueTypeTable
          com.sun.pdfview.font.ttf.LocaTable

    public class LocaTable

extends TrueTypeTable

Model the TrueType Loca table

Field Summary

Fields inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`CMAP_TABLE, GLYF_TABLE, HEAD_TABLE, HHEA_TABLE, HMTX_TABLE, LOCA_TABLE, MAXP_TABLE, NAME_TABLE, POST_TABLE`

Constructor Summary
`protected` | `LocaTable(TrueTypeFont ttf)` Creates a new instance of HmtxTable

Method Summary
`java.nio.ByteBuffer` | `getData()` get the data in this map as a ByteBuffer
`int` | `getLength()` Get the length of this table
`int` | `getOffset(int glyphID)` get the offset, in bytes, of a given glyph from the start of the glyph table
`int` | `getSize(int glyphID)` get the size, in bytes, of the given glyph
`boolean` | `isLongFormat()` Return true if the glyphs arte in long (int) format, or false if they are in short (short) format
`void` | `setData(java.nio.ByteBuffer data)` Initialize this structure from a ByteBuffer

Methods inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`createTable, createTable, getTag, stringToTag, tagToString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocaTable

    protected LocaTable(TrueTypeFont ttf)

  Creates a new instance of HmtxTable

Method Detail

### getOffset

    public int getOffset(int glyphID)

  get the offset, in bytes, of a given glyph from the start of the glyph table

### getSize

    public int getSize(int glyphID)

  get the size, in bytes, of the given glyph

### isLongFormat

    public boolean isLongFormat()

  Return true if the glyphs arte in long (int) format, or false if they are in short (short) format

### getData

    public java.nio.ByteBuffer getData()

  get the data in this map as a ByteBuffer

  Overrides:
    `getData` in class `TrueTypeTable`

### setData

    public void setData(java.nio.ByteBuffer data)

  Initialize this structure from a ByteBuffer

  Overrides:
    `setData` in class `TrueTypeTable`

### getLength

    public int getLength()

  Get the length of this table

  Overrides:
    `getLength` in class `TrueTypeTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD